[pango/macos-introspection] ci: Get some information on MacOs



commit de57e93c289ff0322481a72c11ece9203bd2d69a
Author: Matthias Clasen <mclasen redhat com>
Date:   Sun Jan 24 19:51:41 2021 -0500

    ci: Get some information on MacOs

 .gitlab-ci.yml                           |  1 +
 .gitlab-ci/show-execution-environment.sh | 10 ++++++++++
 2 files changed, 11 insertions(+)
---
diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index 3189ba01..e759afb5 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -95,6 +95,7 @@ macos:
     - macos
   needs: []
   before_script:
+    - bash .gitlab-ci/show-execution-environment.sh
     - pip3 install --user meson==0.56
     - pip3 install --user ninja
     - export PATH=/Users/gitlabrunner/Library/Python/3.7/bin:$PATH
diff --git a/.gitlab-ci/show-execution-environment.sh b/.gitlab-ci/show-execution-environment.sh
new file mode 100755
index 00000000..88153e6d
--- /dev/null
+++ b/.gitlab-ci/show-execution-environment.sh
@@ -0,0 +1,10 @@
+#!/bin/bash
+
+set -eux -o pipefail
+
+xcodebuild -version || :
+xcodebuild -showsdks || :
+
+system_profiler SPSoftwareDataType || :
+
+bison --version || :


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]